function onDrop(x, y, draginfo)

	local msg = {};
	local clientmsg = {};
	msg.font = "chatfont";
	clientmsg.font = "chatfont";
	clientmsg.icon = "thebox_icon";
	msg.sender = "thebox_box_roll";
	clientmsg.sender = "Box Roll";


	local dice = draginfo.getDieList();

	msg.text = "";
	if draginfo.getDescription ~= "" then
		clientmsg.text = draginfo.getDescription() .. ": ";
	end
	
	for j, u in pairs(dice) do
		for k, v in pairs(dice[j]) do
			if v == "d100" then
				msg.text = string.sub(msg.text,1,string.len(msg.text)-4);
			end
			msg.text = msg.text .. v .. "+";
		end	
	end
	clientmsg.text = clientmsg.text .. msg.text .. draginfo.getNumberData();
	
	msg.text = msg.text .. draginfo.getNumberData() .. " ";
	if User.getIdentityLabel() ~= nil then
		msg.text = msg.text .. User.getIdentityLabel() .. ": ";
	end
	msg.text = msg.text .. draginfo.getDescription();

	ChatManager.addMessage(clientmsg);
	ChatManager.deliverMessage(msg, "");
	draginfo.reset();
	return nil;
end